Bug 1009731 - [RFE] ui-plugins infrastructure: localization support (e.g. support adding a tab/sub-tab/button/dialog with a localized title, supply current GUI locale)
[RFE] ui-plugins infrastructure: localization support (e.g. support adding a ...
Status: CLOSED WONTFIX
Product: ovirt-engine
Classification: oVirt
Component: Frontend.WebAdmin (Show other bugs)
---
Unspecified Unspecified
medium Severity medium (vote)
: ---
: ---
Assigned To: nobody nobody
Pavel Stehlik
: FutureFeature, i18n, Improvement
Depends On:
Blocks: 1009722 1247872
  Show dependency treegraph
 
Reported: 2013-09-18 22:30 EDT by Yuko Katabami
Modified: 2017-05-15 11:17 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-05-15 11:17:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: UX
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)
Unlocalized subtabs under Data Center tab (282.73 KB, image/png)
2013-09-18 22:30 EDT, Yuko Katabami
no flags Details
Red Hat Search subtab unlocalized (29.57 KB, image/png)
2013-09-18 22:36 EDT, Yuko Katabami
no flags Details

  None (edit)
Description Yuko Katabami 2013-09-18 22:30:22 EDT
Description of problem:
"Red Hat Search" and "Red Hat Documentation" subtabs are unlocalized.

Version-Release number of selected component (if applicable): 3.3.0-0.22


How reproducible: 100%


Steps to Reproduce:
1. Open Web Admin Portal in a given locale
2. Click on "Data Centers" tab and select one item in the list.
3. Check the subtabs in the details pane.

Actual results:
"Red Hat Search" and "Red Hat Documentation" subtabs are unlocalized.

Expected results:
Both should be localized.

Additional info:
I have attached a screenshot.
Comment 1 Yuko Katabami 2013-09-18 22:30:57 EDT
Created attachment 799698 [details]
Unlocalized subtabs under Data Center tab
Comment 2 Yuko Katabami 2013-09-18 22:36:09 EDT
Created attachment 799710 [details]
Red Hat Search subtab unlocalized
Comment 3 Yuko Katabami 2013-09-18 22:37:45 EDT
In addition to the unlocalized subtab labels, I have also attached a screenshot of unlocalized strings on the "Red Hat Search" subtab.
Comment 4 Yuko Katabami 2013-09-18 23:33:44 EDT
Just found that the same subtabs appear under other resource tabs as well:
Clusters
Host
Storage
Virtual Machines
Templates
Comment 5 Einav Cohen 2013-09-19 10:34:13 EDT
"Red Hat Search" and "Red Hat Documentation" tabs are dynamically added to the application via the ui plugins infrastructure. each plug-in must supply a set of names in all of RHEV's supported locales, but first we must support localization in the ui-plugins infrastructure.
Comment 6 croe@redhat.com 2013-09-19 21:52:04 EDT
This bug has also found into fr-FR Portal
Comment 7 Einav Cohen 2013-09-20 11:09:54 EDT
there is a chance that the ui-plugins infrastructure would have to supply the currently-selected locale for the ui-plugins to consume (so bugs such as bug 1009722 can be solved).
Comment 8 Itamar Heim 2014-05-10 07:46:01 EDT
einav - scope of effort to support this for the changes to the main gui (buttons/context menu added)? on how uiplugins would support it for their dialogs?
Comment 9 Einav Cohen 2014-05-13 13:59:29 EDT
(In reply to Itamar Heim from comment #8)
> einav - scope of effort to support this for the changes to the main gui
> (buttons/context menu added)? 

main-tab/sub-tab/dialog-title/button/context-menu can probably all be covered by the same effort. 
the ui-plugins-infrastructure will need to be able to consume dynamic resources [i.e. resources (e.g. .properties files) supplied by the ui-plugin]. not trivial IMO. 

> on how uiplugins would support it for their dialogs?

each custom dialog/main-tab/sub-tab will need to take care of its own localization (as they typically display external content). 
we can only supply the current GUI locale to be consumed by the external content. this is the "supply current GUI locale" part of the RFE subject. 
this shouldn't take long - sounds like another method/property of 'getCurrentEngineLocale' or similar.
Comment 10 Oved Ourfali 2017-05-15 11:17:44 EDT
I don't see us prioritizing this work.
For specific plugins that are built in, like the dashboard, we solve this as part of the plugin itself.

Closing this as wontfix.

Note You need to log in before you can comment on or make changes to this bug.